%define anolis_release 1
%global pypi_name et_xmlfile

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %{anolis_release}%{?dist}
Summary:        An implementation of lxml.xmlfile for the standard library

License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://foss.heptapod.net/openpyxl/et_xmlfile/-/archive/1.1/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pytest python3-lxml

BuildArch:      noarch

%description
et_xmlfile is a low memory library for creating large XML files.
It is based upon the xmlfile module from lxml with the aim of 
allowing code to be developed that will work with both libraries. 
It was developed initially for the openpyxl project but is now a 
standalone module.


%package -n     python3-%{pypi_name}
Summary:        %{sum}
Requires:       python3-jdcal
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
et_xmlfile is a low memory library for creating large XML files.
It is based upon the xmlfile module from lxml with the aim of
allowing code to be developed that will work with both libraries.
It was developed initially for the openpyxl project but is now a
standalone module.

%package -n     python3-%{pypi_name}-doc
Summary:        Documentation files for %{name}
Requires:       python3-%{pypi_name} = %{EVR}
BuildArch:      noarch

%description -n python3-%{pypi_name}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-1.1-de1a42079e168f8d3b2ff987785b353e0a892ee3 -p1


%build
%py3_build


%install
%py3_install


%check
pwd
ls -R
py.test-%{python3_version}


%files -n python3-%{pypi_name}
%license LICENCE.rst
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{pypi_name}/

%files -n python3-%{pypi_name}-doc 
%doc README.rst

%changelog
* Mon May 15 2023 happy_orange <songnannan@linux.alibaba.com> - 1.1.0-1
- init package
